Bug 80479 - [PATCH] Port devel/apr doesn't need Python
Summary: [PATCH] Port devel/apr doesn't need Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Craig Rodrigues
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-30 16:30 UTC by Brian Minard
Modified: 2005-07-13 05:11 UTC (History)
0 users

See Also:


Attachments
file.diff (1.36 KB, patch)
2005-04-30 16:30 UTC, Brian Minard
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Minard 2005-04-30 16:30:02 UTC
The APR port introduces a dependency upon Python which isn't always needed. Python is needed to run
the buildconf script. This script is needed to build APR from CVS. The port is using an APR distribution
tarball and because of this running buildconf is unnecessary. See the README.dev file in apr-1.0.1.tar.gz
for additional information.

The attached patch uses the WITH_PYTHON directive to introduce the Python dependency and run buildconf.
WITH_PYTHON brings the APR port Makefile in line with the Subversion Makefile which installs Python only
when this directive is defined.

How-To-Repeat: 
Install APR from the ports tree.
Comment 1 Tilman Keskinoz freebsd_committer 2005-05-08 21:41:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rodrigc

Over to Maintainer
Comment 2 Craig Rodrigues freebsd_committer 2005-06-06 16:17:11 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 Michael Nottebrock freebsd_committer 2005-06-09 20:15:59 UTC
This change causes the apr ports to install libtool archives (libapr-1.la and 
libaprutil.la) in the WITH_PYTHON case.
Comment 4 Michael Nottebrock freebsd_committer 2005-06-09 20:17:24 UTC
On Thursday, 9. June 2005 21:15, Michael Nottebrock wrote:
> This change causes the apr ports to install libtool archives (libapr-1.la
> and libaprutil.la) in the WITH_PYTHON case.

Typo: In the non-WITH_PYTHON case, i.e., if buildconf isn't run.
Comment 5 Michael Nottebrock freebsd_committer 2005-06-09 20:17:57 UTC
State Changed
From-To: closed->open

The fix has issues, reopening.
Comment 6 Michael Nottebrock freebsd_committer 2005-06-11 20:53:24 UTC
On Saturday, 11. June 2005 15:06, Brian Minard <bminard@flatfoot.ca> wrote:
> Is the intallation of .la files a bad thing?

Not per se, but if they are installed, they need to be installed in *all* 
possible cases, otherwise there's a chance of other stuff referencing the 
archives and causing build failures when the libtool archives are suddenly 
gone (for example because somebody recompiled apr WITH_PYTHON set).

Most importantly, they need to be added to pkg-plist and PORTREVISION needs to 
be bumped again to get them registered in users' pkgdbs.
Comment 7 Michael Nottebrock freebsd_committer 2005-06-11 21:02:44 UTC
FWIW, the USE_PYTHON_BUILD knob has been fixed for a while now, so it's 
possible to use that instead of the kludge in the port - this would also 
avoid a runtime-dependency on python even when WITH_PYTHON is defined.
Comment 8 Craig Rodrigues freebsd_committer 2005-07-13 05:09:29 UTC
State Changed
From-To: open->closed

This patch caused different pkg-plists to be produced 
in the WITH_PYTHON=yes and WITH_PYTHON=no cases, causing the 
ports build to complain.  I reverted this patch. 
It is not worth fixing this issue, since it will involve 
descending into the autoconf mess of APR's makefiles.